[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#418382: choose-mirror: Better handling of suite/codename; support oldstable



Package: choose-mirror

I have been thinking that better support for oldstable would be good to 
have, even for netboot, floppy installations. This should be possible...

During the release process for Etch, we also saw a somewhat related 
problem in choose-mirror with CD installs because the Release file on the 
mirrors had not been updated even though CD-ROMs were already at 
stable=etch.

In generators/50mirror apt-setup sets the following based on the Release 
file on the CD-ROM:
   mirror/codename=etch
   mirror/suite=stable
But choose-mirror will then check the mirror first for "stable" and thus 
finds "sarge" as codename.

As the installation is now much more based on codename anyway, maybe we 
should ignore the suite a bit more and switch to matching primairily on 
codename. This would also get rid of having to set suite=<codename> in 
debian/rules for official releases.

Alternatively, we could also let generators/50mirror set mirror/suite to 
the codename from the CD (similar to what we do in debian/rules).

Attachment: pgptzMaCSs8jX.pgp
Description: PGP signature


Reply to: